import { LitElement, type CSSResult } from "lit";
/**
 * @cssprop --sgds-{stateColor} - State colors in hexadecimal value
 * @cssprop --sgds-{stateColor}-rgb - State colors in rgb value
 * @cssprop --sgds-{stateColor}-{weights} - State colors with different weightage in hexadecimal value
 * @cssprop --sgds-gray-{weights} - State colors with different weightage in hexadecimal value
 * @cssprop --overlay-background-color - The drawer and modal component overlay background color
 * @cssprop --zindex-modal - The drawer and modal component z-index value
 */
export default class SgdsElement extends LitElement {
    static styles: CSSResult[];
    /** Emits a custom event with more convenient defaults. */
    emit(name: string, options?: CustomEventInit): CustomEvent<any>;
    static define(name: string, elementConstructor?: typeof SgdsElement, options?: ElementDefinitionOptions): void;
    /** @internal */
    static dependencies: Record<string, typeof SgdsElement>;
    constructor();
}
