import SgdsElement from "../../base/sgds-element";
/**
 *
 * @event sgds-show - Emitted on show.
 * @event sgds-after-show - Emitted on show after animation has completed.
 * @event sgds-hide - Emitted on hide.
 * @event sgds-after-hide - Emitted on hide after animation has completed.
 *
 * @slot header - The accordion-item button header slot.
 * @slot content - The accordion-item content slot.
 * @slot caret - The caret icon of accordion-item.
 *
 */
export declare class SgdsAccordionItem extends SgdsElement {
    static styles: import("lit").CSSResult[];
    /** @internal */
    accordion: HTMLElement;
    /** @internal */
    header: HTMLElement;
    /** @internal */
    body: HTMLElement;
    /** Controls whether accordion-item is open or close */
    open: boolean;
    /** Disables the accordion item */
    disabled: boolean;
    firstUpdated(): void;
    private handleSummaryClick;
    private handleSummaryKeyDown;
    handleOpenChange(): Promise<void>;
    /** Shows the accordion. */
    show(): Promise<void>;
    /** Hide the accordion */
    hide(): Promise<void>;
    render(): import("lit-html").TemplateResult<1>;
}
export default SgdsAccordionItem;
