import SgdsElement from "../../base/sgds-element";
import type SgdsAccordionItem from "./sgds-accordion-item";
export type AccordionDensity = "default" | "compact";
export type AccordionVariant = "default" | "border";
/**
 * @summary A dropdown mechanism that allow users to either show or hide related content. `SgdsAccordion` is a wrapper to manage the behaviour for multiple `SgdsAccordionItems`
 * @slot default - slot for accordion-item
 *
 */
export declare class SgdsAccordion extends SgdsElement {
    static styles: import("lit").CSSResult[];
    /** Allows multiple accordion items to be opened at the same time */
    allowMultiple: boolean;
    /** The variant of accordion */
    variant: AccordionVariant;
    /** The density of accordion */
    density: AccordionDensity;
    /** @internal */
    private defaultNodes;
    /** @internal */
    get items(): SgdsAccordionItem[];
    firstUpdated(): void;
    private _onToggle;
    private _onKeyboardToggle;
    render(): import("lit-html").TemplateResult<1>;
}
export default SgdsAccordion;
