import SgdsElement from "../../base/sgds-element";
import SgdsOverflowMenu from "../../internals/OverflowMenu/sgds-overflow-menu";
/**
 * @summary Breadcrumbs help users to navigate and understand where they are on the current website or service.
 *
 * @slot default - The slot to pass in custom elements of `SgdsBreadcrumbItems`.
 *
 */
export declare class SgdsBreadcrumb extends SgdsElement {
    static styles: import("lit").CSSResult[];
    static dependencies: {
        "sgds-overflow-menu": typeof SgdsOverflowMenu;
    };
    /** The aria-label of nav element within breadcrumb component. */
    ariaLabel: string;
    /**@internal */
    defaultSlot: HTMLSlotElement;
    /**
     * creates `<sgds-breadcrumb-item>
     *            <sgds-overflow-menu>
     *              <sgds-dropdown-item></sgds-dropdown-item>
     *               ...
     *            </sgds-overflow-menu>
     *          <sgds-breadcrumb-item>`
     */
    private _replaceExcessItemsWithDropdown;
    private _handleSlotChange;
    render(): import("lit-html").TemplateResult;
}
export default SgdsBreadcrumb;
