import SgdsElement from "../../base/sgds-element";
/**
 * @summary CheckboxGroup is the container that group multiple checkboxes under a single question field.
 * It handles the display of validation feedback of its checkboxes children.
 *
 * @slot default - Pass in `sgds-checkbox` into the default slot
 * @slot invalidIcon - The slot for invalid icon
 *
 */
export declare class SgdsCheckboxGroup extends SgdsElement {
    static styles: import("lit").CSSResult[];
    /**@internal */
    private checkboxes;
    private hasInvalidCheckbox;
    private validationMessage;
    /** The checkbox group's label  */
    label: string;
    /**Feedback text for error state when validated */
    invalidFeedback: string;
    /** Allows invalidFeedback, invalid styles to be visible. When SgdsCheckboxGroup is used, it overrides the value of hasFeedback on SgdsCheckbox with its own value. */
    hasFeedback: boolean;
    /** The checkbox group's hint text */
    hintText: string;
    constructor();
    private _checkInvalidState;
    /** Overrides hasFeedback from individual SgdsCheckbox  */
    private _forwardHasFeedback;
    protected _renderHintText(): import("lit-html").TemplateResult<1>;
    firstUpdated(): void;
    updated(): void;
    render(): import("lit-html").TemplateResult<1>;
}
export default SgdsCheckboxGroup;
