import SgdsElement from "../../base/sgds-element";
import { ViewEnum } from "./types";
export declare class DatepickerCalendar extends SgdsElement {
    static styles: import("lit").CSSResult[];
    /** @internal */
    static DAY_LABELS: string[];
    /** @internal */
    static daysInMonth: number[];
    /** @internal */
    static MONTHVIEW_LABELS: string[];
    /** @internal */
    selectedDate: Date[];
    /** @internal */
    displayDate: Date;
    /** @internal */
    minDate?: string;
    /** @internal */
    maxDate?: string;
    /** @internal */
    mode: "single" | "range";
    private focusedDate;
    /** @internal */
    view: ViewEnum;
    /** @internal */
    show: boolean;
    focusedTabIndex: number;
    /**Shifts focus from Input to Calendar */
    focusOnCalendar(toBlurEl: HTMLElement): void;
    connectedCallback(): void;
    updated(): void;
    _updateFocusedDate(): void;
    private _setFocusedDate;
    private _handleEnterDateKeyboard;
    private _handleKeyPress;
    private _generateIncrementDates;
    private _onClickDay;
    private _onClickMonth;
    private _onClickYear;
    private _getFocusedTarget;
    private _blurCalendarCell;
    private _focusOnCalendarCell;
    private _generateDays;
    private _generateMonths;
    private _generateYears;
    render(): import("lit-html").TemplateResult<1>;
}
export default DatepickerCalendar;
