import { SgdsInput } from "../Input/sgds-input";
export type DateFormat = "MM/DD/YYYY" | "DD/MM/YYYY" | "YYYY/MM/DD";
export declare class DatepickerInput extends SgdsInput {
    static styles: import("lit").CSSResult[];
    /** Date format reflected on input  */
    private dateFormat;
    /** ISO date string to set the lowest allowable date value. e.g. "2016-05-19T12:00:00.000Z" */
    minDate: string;
    /** ISO date string to set the highest allowable date value. e.g. "2016-05-19T12:00:00.000Z" */
    maxDate: string;
    /** Changes DatePicker to single date selection or range date selection */
    mode: "single" | "range";
    shadowInput: Promise<HTMLInputElement>;
    private mask;
    constructor();
    protected _handleChange(e: Event): Promise<void>;
    firstUpdated(changedProperties: any): Promise<void>;
    private _applyInputMask;
    updateMaskValue(): void;
    private _validateInput;
    destroyInputMask(): void;
    applyInputMask(): Promise<void>;
    focus(): Promise<void>;
    render(): import("lit-html").TemplateResult<1>;
}
export default DatepickerInput;
