import { PropertyValues } from "lit";
import SgdsElement from "../../base/sgds-element";
/**
 * @summary Description List Group organizes multiple description lists.
 *
 * @slot default - The slot for `description-list` components
 * @slot title - Slot for the title content
 * @slot description - Slot for the description content
 *
 */
export declare class SgdsDescriptionListGroup extends SgdsElement {
    static styles: import("lit").CSSResult[];
    /** When true, adds a border around the entire group. */
    bordered: boolean;
    /** When true, the description lists are displayed in a stacked layout. */
    stacked: boolean;
    private _descriptionLists;
    /** @internal */
    private readonly hasSlotController;
    connectedCallback(): void;
    private _updateDescriptionLists;
    protected updated(_changedProperties: PropertyValues): void;
    render(): import("lit-html").TemplateResult<1>;
}
export default SgdsDescriptionListGroup;
