import SgdsElement from "../../base/sgds-element";
import SgdsIcon from "../Icon/sgds-icon";
/**
 * @summary `SgdsDropdownItem` are navigation links built with `HTMLAnchorElement`. It should be used in the default slot of `SgdsDropdown`
 * @slot default - The default slot for SgdsDropdownItem. Pass in a single anchor tag per dropdown item directly for navigation items.
 */
export declare class SgdsDropdownItem extends SgdsElement {
    static styles: import("lit").CSSResult[];
    static dependencies: {
        "sgds-icon": typeof SgdsIcon;
    };
    /** @internal */
    private anchor;
    /** when true, sets the active stylings of .nav-link */
    active: boolean;
    /** Disables the SgdsMainnavItem */
    disabled: boolean;
    connectedCallback(): void;
    render(): import("lit-html").TemplateResult<1>;
}
export default SgdsDropdownItem;
