import SgdsElement from "../../base/sgds-element";
/**
 * @summary The footer contains supporting information for your service at the bottom of your website. All .gov.sg digital services shall contain a Global Footer Bar across all pages. The Global Footer Bar should include the name of the digital service, contact information, a privacy statement and the terms of use.
 *
 * @slot title - The slot for title
 * @slot description - The slot for description
 * @slot items - The slot for the list of footer items
 * @slot social-media - The slot for the list of social media with icons
 *
 */
export declare class SgdsFooter extends SgdsElement {
    static styles: import("lit").CSSResult[];
    /**
     * 	Sets copyrightLiner of SgdsFooter
     */
    copyrightLiner: string;
    /**
     * 	href link for contacts
     */
    contactHref: string;
    /**
     * 	href link for feedback
     */
    feedbackHref: string;
    /**
     * 	href link for faq
     */
    faqHref: string;
    /**
     * 	href link for privacy statement
     */
    privacyHref: string;
    /**
     * 	href link for terms of use
     */
    termsOfUseHref: string;
    firstUpdated(): void;
    render(): import("lit-html").TemplateResult<1>;
}
export default SgdsFooter;
