import SgdsElement from "../../base/sgds-element";
/**
 * @summary Icons offer a form of visual shorthand that we are all familiar with. They can label, inform and aid navigation quickly and effectively in minimal space. Icons must first and foremost communicate meaning. By default, the icon component renders icons from `SgdsIcon` library set
 */
export declare class SgdsIcon extends SgdsElement {
    static styles: import("lit").CSSResult[];
    /** The name of the icon from sgds icon library */
    name: string;
    /** Specifies a small, medium or large icon, the size is medium by default. */
    size: "sm" | "md" | "lg" | "xl" | "2-xl" | "3-xl";
    /** @internal */
    private _svgContent;
    updated(changedProperties: Map<string, any>): Promise<void>;
    private _loadSvg;
    render(): import("lit-html").TemplateResult;
}
export default SgdsIcon;
