import ButtonElement from "../../base/button-element";
import SgdsIcon from "../Icon/sgds-icon";
/**
 * @summary An icon button is a user interface element that combines an icon and a button, serving as a clickable or tabbable component.
 *
 * @event sgds-blur - Emitted when the button is blurred.
 * @event sgds-focus - Emitted when the button is focused.
 */
export declare class SgdsIconButton extends ButtonElement {
    static styles: import("lit").CSSResult[];
    /** @internal */
    static dependencies: {
        "sgds-icon": typeof SgdsIcon;
    };
    /** The name of the icon from sgds icon library */
    name: string;
    private _assignIconSize;
    render(): import("lit-html").TemplateResult;
}
export default SgdsIconButton;
