import SgdsElement from "../../base/sgds-element";
export type ProgressBarVariant = "primary" | "neutral";
/**
 * @summary Provide up-to-date feedback on the progress of a workflow or action with simple yet flexible progress bars.
 */
export declare class SgdsProgressBar extends SgdsElement {
    static styles: import("lit").CSSResult[];
    /** The background color of the progress bar. Available options: `primary`, `neutral` */
    variant: ProgressBarVariant;
    /**
     * The current progress as a percentage, from 0 to 100.
     */
    value: number;
    /**
     * Sets the minimun aria range for assistive devices.
     *
     * The aria-valuemin attribute defines the minimun allowed value for a range widget.
     */
    ariamin: number;
    /**
     * Sets the maximum aria range for assistive devices.
     *
     * The aria-valuemax attribute defines the maximum allowed value for a range widget.
     */
    ariamax: number;
    /**
     * Sets the aria label for assistive devices.
     */
    arialabel: string;
    /** Add label on top of progress bar */
    label: string;
    render(): import("lit-html").TemplateResult<1>;
}
export default SgdsProgressBar;
