import SgdsElement from "../../base/sgds-element";
/**
 * @summary Radio allows the user to select one option from a set while seeing all available options.
 *
 * @slot default - The label of the radio input
 *
 * @event sgds-focus - Emitted when the control gains focus.
 * @event sgds-blur - Emitted when the control loses focus.
 */
export declare class SgdsRadio extends SgdsElement {
    static styles: import("lit").CSSResult[];
    /**
     * Draws the radio in a checked state. When used with SgdsRadioGroup, the value prop of SgdsRadioGroup overrides the checked prop
     */
    checked: boolean;
    /** The radio's value attribute. */
    value: string;
    /** Disables the radio. */
    disabled: boolean;
    /** Marks the radio input as invalid. Replace the pseudo :invalid selector for absent in custom elements */
    invalid: boolean;
    private input;
    private radioId;
    connectedCallback(): void;
    handleCheckedChange(): void;
    handleDisabledChange(): void;
    private handleBlur;
    private handleClick;
    private handleFocus;
    private addEventListeners;
    private setInitialAttributes;
    render(): import("lit-html").TemplateResult<1>;
}
export default SgdsRadio;
