import SgdsElement from "../../base/sgds-element";
/**
 * @summary A skeleton is a low-fidelity visual placeholder that represents the loading of interface elements
 * before they have displayed on the page.
 */
export declare class SgdsSkeleton extends SgdsElement {
    static styles: import("lit").CSSResult[];
    private skeleton;
    /** Sets the width of skeleton. Pass value in string with length units like pixels or percentage. */
    width: string;
    /** Sets the height of skeleton. Pass value in string with length units like pixels or percentage. */
    height: string;
    /** Sets the border radius of skeleton. Pass value in string with length units like pixels and percentage
     * When `row` is defined, the borderRadius is forwarded down to the border radius of each skeleton row */
    borderRadius: string;
    /**Sets the number of rows within the given height of the skeleton.
     * By default, the height of each row is auto-sized by taking the height of the skeleton divided by the number of rows and
     * taking into account that there is a gap set by root css variable `--sgds-gap-xs` between each rows
     */
    rows: number;
    /** Adds a sheening animated effect to the skeleton  */
    sheen: boolean;
    protected firstUpdated(): void;
    render(): import("lit-html").TemplateResult<1>;
}
export default SgdsSkeleton;
