import SgdsElement from "../../base/sgds-element";
/**
 * @summary Tabs are used within tab group to activate the tab panels
 *
 * @slot default - The slot for label of tab
 * @slot icon - The slot to place leading icon.
 *
 */
export declare class SgdsTab extends SgdsElement {
    static styles: import("lit").CSSResult[];
    private tab;
    private readonly attrId;
    private readonly componentId;
    /** The name of the tab panel this tab is associated with. The panel must be located in the same tab group. */
    panel: string;
    /** Draws the tab in an active state. When used with tab group, this state is already managed. Use it to set the initial active tab on first load of page */
    active: boolean;
    /** When true, sets tab to disabled state */
    disabled: boolean;
    connectedCallback(): void;
    /** Sets focus to the tab. */
    focus(options?: FocusOptions): void;
    /** Removes focus from the tab. */
    blur(): void;
    /**@internal */
    handleActiveChange(): void;
    /**@internal */
    handleDisabledChange(): void;
    render(): import("lit-html").TemplateResult<1>;
}
export default SgdsTab;
