import SgdsElement from '../../base/sgds-element.js';
import { html } from 'lit';
import css_248z from './table-of-contents.js';

/**
 *
 * @summary Tables of contents provide a page overview and direct access to specific sections.
 *
 * @slot default - The slot for the header
 * @slot contents - The slot for the contents
 */
class SgdsTableOfContents extends SgdsElement {
    render() {
        return html `<div class="container">
      <slot></slot>
      <ul class="contents">
        <slot name="contents"></slot>
      </ul>
    </div> `;
    }
}
SgdsTableOfContents.styles = [...SgdsElement.styles, css_248z];

export { SgdsTableOfContents, SgdsTableOfContents as default };
//# sourceMappingURL=sgds-table-of-contents.js.map
