import SgdsElement from "../../base/sgds-element";
/**
 * @summary ToastContainer is the container component to position `sgds-toast` in screen. When there is multiple toasts in the container, the toast components are stacked vertically.
 *
 * @slot default - The slot for `sgds-toast` elements
 *
 */
export declare class SgdsToastContainer extends SgdsElement {
    static styles: import("lit").CSSResult[];
    /** Controls the position of `sgds-toast` within itself. When specified, toast container becomes position-absolute */
    position: ToastPosition;
    render(): import("lit-html").TemplateResult;
}
export type ToastPosition = "top-start" | "top-center" | "top-end" | "middle-start" | "middle-center" | "middle-end" | "bottom-start" | "bottom-center" | "bottom-end";
export default SgdsToastContainer;
