import { __decorate } from 'tslib';
import { property } from 'lit/decorators.js';
import { classMap } from 'lit/directives/class-map.js';
import { html } from 'lit/static-html.js';
import SgdsElement from '../../base/sgds-element.js';
import css_248z from './toast-container.js';

/**
 * @summary ToastContainer is the container component to position `sgds-toast` in screen. When there is multiple toasts in the container, the toast components are stacked vertically.
 *
 * @slot default - The slot for `sgds-toast` elements
 *
 */
class SgdsToastContainer extends SgdsElement {
    render() {
        return html `
      <div
        class=${classMap({
            "sgds toast-container": true,
            [this.position]: this.position
        })}
      >
        <slot></slot>
      </div>
    `;
    }
}
SgdsToastContainer.styles = [css_248z];
__decorate([
    property({ type: String, reflect: true })
], SgdsToastContainer.prototype, "position", void 0);

export { SgdsToastContainer, SgdsToastContainer as default };
//# sourceMappingURL=sgds-toast-container.js.map
