import SgdsElement from "../../base/sgds-element";
/**
 * @summary Tooltips display more information when users hover over, focus on, or interact with an element.
 * @slot default - The element to target the tooltip to.
 *
 */
export declare class SgdsTooltip extends SgdsElement {
    static styles: import("lit").CSSResult[];
    private _myTooltip;
    private _bsTooltip;
    /** The tooltip's content. Content has to be textual */
    content: string;
    /** The placement of tooltip relative to its target */
    placement: "top" | "bottom" | "left" | "right";
    /** The method to invoke the tooltip. `hover focus` is the default value which allows tooltip to be triggered via mouse hover and keyboard focus. Add `tabindex=0 `for HTMLelements that are not tabbable. */
    trigger: "click" | "hover" | "focus" | "hover focus";
    private popperConfig;
    private tooltipConfig;
    private _tooltipTargetElements;
    private _handleSlotChange;
    private _handleClickOutOfElement;
    connectedCallback(): void;
    disconnectedCallback(): void;
    private _initializeTooltip;
    firstUpdated(): void;
    /** Hides the Tooltip */
    hide(): void;
    /** Shows the Tooltip */
    show(): void;
    render(): import("lit-html").TemplateResult<1>;
}
export default SgdsTooltip;
