import SgdsElement from "../../base/sgds-element";
import { SgdsDropdown } from "../../components/Dropdown/sgds-dropdown";
import { SgdsDropdownItem } from "../../components/Dropdown/sgds-dropdown-item";
import { SgdsIcon } from "../../components/Icon/sgds-icon";
/**
 * @summary An overflow menu is a UI element, often represented by three dots (⋮ or …), that opens a menu with additional actions or options.
 * @slot default - The overflow menu items. Pass in sgds-dropdown-items in this slot
 */
export declare class SgdsOverflowMenu extends SgdsElement {
    static styles: import("lit").CSSResult[];
    /** @internal */
    static dependencies: {
        "sgds-dropdown": typeof SgdsDropdown;
        "sgds-dropdown-item": typeof SgdsDropdownItem;
        "sgds-icon": typeof SgdsIcon;
    };
    /** Specifies a large or small button */
    size: "sm" | "md";
    render(): import("lit-html").TemplateResult<1>;
}
export default SgdsOverflowMenu;
