'use client';
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var tslib = require('tslib');
var decorators_js = require('lit/decorators.js');
var card = require('./card.cjs.js');
var textVariants = require('../styles/text-variants.cjs.js');
var bgVariants = require('../styles/bg-variants.cjs.js');
var borderVariants = require('../styles/border-variants.cjs.js');
var headerClass = require('../styles/header-class.cjs.js');
var paragraph = require('../styles/paragraph.cjs.js');
var sgdsElement = require('./sgds-element.cjs.js');

class CardElement extends sgdsElement["default"] {
    constructor() {
        super(...arguments);
        /** When true, hides the default border of the card. */
        this.hideBorder = false;
        /** When true, applies a tinted background color to the card. */
        this.tinted = false;
    }
}
CardElement.styles = [...sgdsElement["default"].styles, textVariants["default"], bgVariants["default"], borderVariants["default"], headerClass["default"], paragraph["default"], card["default"]];
tslib.__decorate([
    decorators_js.property({ type: Boolean, reflect: true })
], CardElement.prototype, "hideBorder", void 0);
tslib.__decorate([
    decorators_js.property({ type: Boolean, reflect: true })
], CardElement.prototype, "tinted", void 0);

exports.CardElement = CardElement;
//# sourceMappingURL=card-element.cjs.js.map
