'use client';
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var tslib = require('tslib');
var decorators_js = require('lit/decorators.js');
var ifDefined_js = require('lit/directives/if-defined.js');
var staticHtml_js = require('lit/static-html.js');
var sgdsElement = require('../../base/sgds-element.cjs.js');
var alertLink = require('./alert-link.cjs.js');
var anchor = require('../../styles/anchor.cjs.js');

/**
 * @summary Alert link are used within the alert's message that is passed into the default slot of `<sgds-alert>`
 *
 * @slot default - The text content of the anchor element
 */
class SgdsAlertLink extends sgdsElement["default"] {
    render() {
        return staticHtml_js.html `
      <a class="alert-link" href=${ifDefined_js.ifDefined(this.href)} target=${ifDefined_js.ifDefined(this.target)} tabindex="0"><slot></slot></a>
    `;
    }
}
SgdsAlertLink.styles = [...sgdsElement["default"].styles, anchor["default"], alertLink["default"]];
tslib.__decorate([
    decorators_js.property({ type: String, reflect: true })
], SgdsAlertLink.prototype, "href", void 0);
tslib.__decorate([
    decorators_js.property()
], SgdsAlertLink.prototype, "target", void 0);

exports.SgdsAlertLink = SgdsAlertLink;
exports["default"] = SgdsAlertLink;
//# sourceMappingURL=sgds-alert-link.cjs.js.map
