'use client';
import { __decorate } from 'tslib';
import { property } from 'lit/decorators.js';
import { ifDefined } from 'lit/directives/if-defined.js';
import { html } from 'lit/static-html.js';
import SgdsElement from '../../base/sgds-element.js';
import css_248z$1 from './alert-link.js';
import css_248z from '../../styles/anchor.js';

/**
 * @summary Alert link are used within the alert's message that is passed into the default slot of `<sgds-alert>`
 *
 * @slot default - The text content of the anchor element
 */
class SgdsAlertLink extends SgdsElement {
    render() {
        return html `
      <a class="alert-link" href=${ifDefined(this.href)} target=${ifDefined(this.target)} tabindex="0"><slot></slot></a>
    `;
    }
}
SgdsAlertLink.styles = [...SgdsElement.styles, css_248z, css_248z$1];
__decorate([
    property({ type: String, reflect: true })
], SgdsAlertLink.prototype, "href", void 0);
__decorate([
    property()
], SgdsAlertLink.prototype, "target", void 0);

export { SgdsAlertLink, SgdsAlertLink as default };
//# sourceMappingURL=sgds-alert-link.js.map
