'use client';
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var lit = require('lit');
var sgdsElement = require('../../base/sgds-element.cjs.js');
var footerItem = require('./footer-item.cjs.js');

/**
 * @summary The footer item component organizes links under a clear, descriptive title within the footer. It helps users easily navigate to related resources or information, ensuring clarity and accessibility.
 *
 * @slot default - The slot for the list of link items
 * @slot title - The slot for the title of the list of items
 *
 */
class SgdsFooterItem extends sgdsElement["default"] {
    render() {
        return lit.html `
      <div class="footer-item">
        <slot name="title"></slot>
        <div class="links">
          <slot></slot>
        </div>
      </div>
    `;
    }
}
SgdsFooterItem.styles = [...sgdsElement["default"].styles, footerItem["default"]];

exports.SgdsFooterItem = SgdsFooterItem;
exports["default"] = SgdsFooterItem;
//# sourceMappingURL=sgds-footer-item.cjs.js.map
