'use client';
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var sgdsElement = require('../../base/sgds-element.cjs.js');
var lit = require('lit');
var tableOfContents = require('./table-of-contents.cjs.js');

/**
 *
 * @summary Tables of contents provide a page overview and direct access to specific sections.
 *
 * @slot default - The slot for the header
 * @slot contents - The slot for the contents
 */
class SgdsTableOfContents extends sgdsElement["default"] {
    render() {
        return lit.html `<div class="container">
      <slot></slot>
      <ul class="contents">
        <slot name="contents"></slot>
      </ul>
    </div> `;
    }
}
SgdsTableOfContents.styles = [...sgdsElement["default"].styles, tableOfContents["default"]];

exports.SgdsTableOfContents = SgdsTableOfContents;
exports["default"] = SgdsTableOfContents;
//# sourceMappingURL=sgds-table-of-contents.cjs.js.map
