'use client';
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var tslib = require('tslib');
var decorators_js = require('lit/decorators.js');
var classMap_js = require('lit/directives/class-map.js');
var staticHtml_js = require('lit/static-html.js');
var sgdsElement = require('../../base/sgds-element.cjs.js');
var toastContainer = require('./toast-container.cjs.js');

/**
 * @summary ToastContainer is the container component to position `sgds-toast` in screen. When there is multiple toasts in the container, the toast components are stacked vertically.
 *
 * @slot default - The slot for `sgds-toast` elements
 *
 */
class SgdsToastContainer extends sgdsElement["default"] {
    render() {
        return staticHtml_js.html `
      <div
        class=${classMap_js.classMap({
            "sgds toast-container": true,
            [this.position]: this.position
        })}
      >
        <slot></slot>
      </div>
    `;
    }
}
SgdsToastContainer.styles = [toastContainer["default"]];
tslib.__decorate([
    decorators_js.property({ type: String, reflect: true })
], SgdsToastContainer.prototype, "position", void 0);

exports.SgdsToastContainer = SgdsToastContainer;
exports["default"] = SgdsToastContainer;
//# sourceMappingURL=sgds-toast-container.cjs.js.map
