'use client';
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var object = require('./object.cjs.js');

/* eslint-disable @typescript-eslint/no-explicit-any */
function _isObject(item) {
    return item && typeof item === "object" && item.constructor === Object;
}
const mergeDeep = (target, source) => {
    if (_isObject(target) && _isObject(source)) {
        object.keys(source).forEach(key => {
            if (_isObject(source[key])) {
                if (!target[key] || !_isObject(target[key])) {
                    target[key] = source[key];
                }
                mergeDeep(target[key], source[key]);
            }
            else {
                object.assign(target, { [key]: source[key] });
            }
        });
    }
    return target;
};

exports["default"] = mergeDeep;
//# sourceMappingURL=mergeDeep.cjs.js.map
